%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FEASIBLE PERIODIC MOTION PRIMITIVES FOR CHOREOGRAPHED 
% QUADROCOPTER FLIGHT (submitted to ACC 2010)
% 
% **Creates the plots that are presented in Fig. 4-7** 
% (Section V, VI) 
%
% Sergei Lupashin, Sept 2010 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

close all

% The function plotFeasibility(filename,showData,outFile,plotTitle) 
% loads the file 'filename.mat' obtained from feasibilityData.m. It creates 
% a feasibility plot and displays experimental data if showData=1.  
% The figure is saved in 'outfile'. 
% (See plotFeasibility.m for details).

% NOTE: Experimental data is only available for the side-to-side motion.

plotFeasibility('sidetoside',0,'figures/sidetoside.eps', 'Side-to-Side Motion');
pause(.5);
plotFeasibility('circle',0,'figures/circle.eps', 'Circular Motion');
pause(.5);
plotFeasibility('circle_kInf',0,'figures/circle_kMotor_infinity.eps', 'Circular Motion with k = inf');
pause(.5);
plotFeasibility('sidetoside',1,'figures/sidetoside_withData.eps', 'Side-to-Side Motion with Experimental Data');